Subject: Re: bug#27454: C-S-g [keyboard-quit] doesn't work to get out of disabled command choice

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Jul 2019 20:53:07 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 21 Jul 2019 19:22:28 +0200
> 
> >> Because normally C-S-g works the same as C-g (see below).  Should we
> >> perhaps just add C-S-g to the events this function checks for?
> >
> > But C-S-g is not a character.
> 
> But it's an event...

Sure, and we have many others that mean "get me out of here".
Probably should support more than just one extra.

Btw, if I leave CAPS LOCK stuck and type C-g, I do get Quit.  So I
don't think I understand the bug report.  You explicitly pressed C-S-g
in your recipe, but that's not really reasonable in my book -- the
user explicitly pressed Shift, a much less innocent mistake.